-- Data pulled using the MLB Stats API:
-- https://statsapi.mlb.com/api/v1/

select TeamId, TeamName, JsonId
from MLB.dbo.Team;

select GameDayId, GameDate, JsonId
from MLB.dbo.GameDay;

select GameId, GameDayId, AwayTeamId, HomeTeamId, SeriesDescription
from MLB.dbo.ScheduledGame;

select GameId, AwayTeamScore, HomeTeamScore
from MLB.dbo.Game;

select
	gd.GameDate,
	awayTeam.TeamName AwayTeam,
	g.AwayTeamScore,
	homeTeam.TeamName HomeTeam,
	g.HomeTeamScore
from MLB.dbo.ScheduledGame sg
join MLB.dbo.Game g on sg.GameId = g.GameId
join MLB.dbo.GameDay gd on sg.GameDayId = gd.GameDayId
join MLB.dbo.Team awayTeam on sg.AwayTeamId = awayTeam.TeamId
join MLB.dbo.Team homeTeam on sg.HomeTeamId = homeTeam.TeamId
where gd.GameDate = '2021-09-01';
