create table MLB.dbo.ScoringData
(
	AvgWins float not null,
	AvgScore float not null,
	ScoreDelta int not null,
	IsTraining bit not null default(0)
);

insert MLB.dbo.ScoringData (AvgWins, AvgScore, ScoreDelta)
select
	gs.AvgWins,
	gs.AvgScore,
	case when sg.AwayTeamId = t.TeamId then g.AwayTeamScore - g.HomeTeamScore else g.HomeTeamScore - g.AwayTeamScore end ScoreDelta
from MLB.dbo.Team t
join MLB.dbo.ScheduledGame sg on (sg.AwayTeamId = t.TeamId or sg.HomeTeamId = t.TeamId)
join MLB.dbo.Game g on sg.GameId = g.GameId
join MLB.dbo.GameDay gd on sg.GameDayId = gd.GameDayId
cross apply MLB.dbo.GetTeamStats(t.TeamId, gd.GameDate, 40) gs
where t.TeamId not in (159, 160)
and gd.GameDate >= '2021-07-14'
and gd.GameDate <= '2021-12-31'
and sg.SeriesDescription = 'Regular Season'

with sd as
(
	select top(30) percent *
	from MLB.dbo.ScoringData sd
	order by newid()
)
update sd
set IsTraining = 1;
