exec sp_execute_external_script
	@language = N'Python',
	@script = N'
import pandas
import pyodbc
from numpy import mean
from numpy import std
from numpy import absolute

from sklearn.model_selection import cross_val_score
from sklearn.model_selection import RepeatedKFold
from sklearn.linear_model import LassoCV
from sklearn.model_selection import train_test_split

connStr = pyodbc.connect(''DRIVER={ODBC Driver 17 for SQL Server};SERVER=ali2\sql2019;DATABASE=MLB;UID=CodeStock;PWD=codestock22'')
query = ''select AvgWins, AvgScore, ScoreDelta from MLB.dbo.ScoringData;''

df = pandas.read_sql(sql=query, con=connStr)
data = df.values
x, y = data[:, :-1], data[:, -1]
x_train, x_test, y_train, y_test = train_test_split(x, y, test_size=0.3, random_state=42)

lasso = LassoCV(cv=5)
lasso.fit(x, y)
#lasso.score(x_test, y_test), lasso.score(x_train, y_train)
print("coef=", lasso.coef_)';

-- coef= [5.92468672 0.05313708]
