exec sp_execute_external_script
	@language = N'Python',
	@script = N'
import pandas
import pyodbc
from numpy import mean
from numpy import std
from numpy import absolute

from sklearn.model_selection import cross_val_score
from sklearn.model_selection import RepeatedKFold
from sklearn.linear_model import LassoCV
from sklearn.model_selection import train_test_split

connStr = pyodbc.connect(''DRIVER={ODBC Driver 17 for SQL Server};SERVER=ali2\sql2019;DATABASE=MLB;UID=CodeStock;PWD=codestock22'')
query = ''select AvgWins, AvgScore, ScoreDelta from MLB.dbo.ScoringData;''

df = pandas.read_sql(sql=query, con=connStr)
data = df.values
x, y = data[:, :-1], data[:, -1]
x_train, x_test, y_train, y_test = train_test_split(x, y, test_size=0.3, random_state=42)

lasso = LassoCV(cv=5)
lasso.fit(x, y)

today = InputDataSet.values
prediction = lasso.predict(today)
print(''Prediction = '', prediction)
',
@input_data_1 = N'select gs.AvgWins, gs.AvgScore
from
(
	select sg.GameDayId, sg.AwayTeamId TeamId
	from MLB.dbo.ScheduledGame sg

	union all
	
	select sg.GameDayId, sg.HomeTeamId HomeTeam
	from MLB.dbo.ScheduledGame sg
) sg
join MLB.dbo.GameDay gd on sg.GameDayId = gd.GameDayId
cross apply MLB.dbo.GetTeamStats(sg.TeamId, gd.GameDate, 40) gs
where gd.GameDate = ''2022-04-07''
order by sg.TeamId';

--Prediction =  [-0.60482457 -1.35072412  0.49443167 -0.27272271 -0.31257552 -0.14984565
--  0.47981897  0.00624208 -1.1853374  -0.60482457 -0.30726181 -1.37463581
--  0.59472547  1.21907639 -0.17242891  0.61066659  0.30779012  0.13310441]

select sg.TeamId, gs.AvgWins, gs.AvgScore
from
(
	select sg.GameDayId, sg.AwayTeamId TeamId
	from MLB.dbo.ScheduledGame sg

	union all
	
	select sg.GameDayId, sg.HomeTeamId HomeTeam
	from MLB.dbo.ScheduledGame sg
) sg
join MLB.dbo.GameDay gd on sg.GameDayId = gd.GameDayId
cross apply MLB.dbo.GetTeamStats(sg.TeamId, gd.GameDate, 40) gs
where gd.GameDate = '2022-04-07'
order by sg.TeamId;

with Predictions as
(
	select *
	from
	( values
		(108, -0.60482457), (109, -1.35072412), (111, 0.49443167),
		(112, -0.27272271), (113, -0.31257552), (114, -0.14984565),
		(117, 0.47981897), (118, 0.00624208), (120, -1.1853374),
		(121, -0.60482457), (134, -0.30726181), (135, -1.37463581),
		(136, 0.59472547), (138, 1.21907639), (142, -0.17242891),
		(144, 0.61066659), (147, 0.30779012), (158, 0.13310441)
	) p (TeamId, PredictedScoreDelta)
), ActualScore as
(
	select *
	from
	( values
		(661042, 3, 1), -- Houston at LA
		(661333, 0, 0), -- Boston at NYY - PPD (weather)
		(661577, 6, 3), -- Cincinnati at Atlanta
		(661750, 0, 0), -- Seattle at Minnesota - PPD (weather)
		(662021, 0, 9), -- Pittsburgh at St. Louis
		(662571, 5, 1), -- NYM at Washington
		(662766, 1, 3), -- Cleveland at KC
		(663178, 4, 5), -- Milwaukee at Chicago Cubs
		(663418, 2, 4)  -- San Diego at Arizona
	) sc (GameId, AwayTeamScore, HomeTeamScore)
)
select
	sg.GameId,
	awayTeam.TeamName AwayTeam,
	homeTeam.TeamName HomeTeam,
	(awayPred.PredictedScoreDelta - homePred.PredictedScoreDelta) / 2 PredictedScoreDelta,
	actual.AwayTeamScore - HomeTeamScore ActualScoreDelta,
	case when awayPred.PredictedScoreDelta > homePred.PredictedScoreDelta then awayTeam.TeamName when awayPred.PredictedScoreDelta < homePred.PredictedScoreDelta then homeTeam.TeamName else 'No prediction' end PredictedWinner,
	case when actual.AwayTeamScore > actual.HomeTeamScore then awayTeam.TeamName when actual.AwayTeamScore < actual.HomeTeamScore then homeTeam.TeamName else 'No winner' end ActualWinner
from MLB.dbo.ScheduledGame sg
join MLB.dbo.GameDay gd on sg.GameDayId = gd.GameDayId
join MLB.dbo.Team awayTeam on sg.AwayTeamId = awayTeam.TeamId
join MLB.dbo.Team homeTeam on sg.HomeTeamId = hometeam.TeamId
join Predictions awayPred on sg.AwayTeamId = awayPred.TeamId
join Predictions homePred on sg.HomeTeamId = homePred.TeamId
join ActualScore actual on sg.GameId = actual.GameId
where gd.GameDate = '2022-04-07';
