with Predictions as
(
	select *
	from
	( values
		(108, -0.60482457), (109, -1.35072412), (111, 0.49443167),
		(112, -0.27272271), (113, -0.31257552), (114, -0.14984565),
		(117, 0.47981897), (118, 0.00624208), (120, -1.1853374),
		(121, -0.60482457), (134, -0.30726181), (135, -1.37463581),
		(136, 0.59472547), (138, 1.21907639), (142, -0.17242891),
		(144, 0.61066659), (147, 0.30779012), (158, 0.13310441)
	) p (TeamId, PredictedScoreDelta)
)
select
	sg.GameId,
	t.TeamName,
	pr.PredictedScoreDelta
from MLB.dbo.ScheduledGame sg
join MLB.dbo.GameDay gd on sg.GameDayId = gd.GameDayId
join MLB.dbo.Team t on sg.AwayTeamId = t.TeamId
join Predictions pr on sg.AwayTeamId = pr.TeamId
where gd.GameDate = '2022-04-07'

union all

select
	sg.GameId,
	t.TeamName,
	pr.PredictedScoreDelta
from MLB.dbo.ScheduledGame sg
join MLB.dbo.GameDay gd on sg.GameDayId = gd.GameDayId
join MLB.dbo.Team t on sg.HomeTeamId = t.TeamId
join Predictions pr on sg.HomeTeamId = pr.TeamId
where gd.GameDate = '2022-04-07';
